<ion-header>
  <ion-navbar color="ativoPurple">
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title><img src="./assets/images/Ativo.png" style="width: 20%"></ion-title>
  </ion-navbar>
</ion-header>
<ion-content padding>

  <!-- CODE - Banco do Brasil-->
  <notify #notify [offline]="!true"></notify>
  <ion-list>
    <ion-card padding
      *ngFor="let order of myOrdersToShow">
        <div (tap)="goToDetalhes(order)">
          <h2 class="title-order">{{order.data_pedido | date:'EEE, d' | capitalize }} de {{order.data_pedido | date:'MMM'}} de {{order.data_pedido | date:'y'}}</h2>
          <p class="valorProduto" [ngStyle]="{'color': ( order.pagamentos[0].pagamento_status == 'Pago' ?  '#003a66' : 'inherit')}" >{{order.total_pedido | currency:'BRL':true:'1.2-2'}}</p>
          <p><b>ID:</b> {{order.id_pedido}}</p>
          <p><b>Pagamento: </b> {{order.pagamentos[0].forma_pagamento | lowercase | capitalize}}</p>
          <p><b>Status: </b> {{(order.pedido_status || order.pedido_status) | lowercase | capitalize}}</p>
        </div>
        <div (tap)="goToReceipt(order)">
          <p 
            class="gerar-recibo" 
            *ngIf="order.pedido_status == 'Pago'">
            <ion-icon color="primary-text-color" name="md-list-box"></ion-icon>
            GERAR RECIBO
          </p>

          <p class="gerar-detalhes" *ngIf="order.pedido_status == 'Cancelado' || order.pagamentospedido_status == 'Pendente'">
            <ion-icon name="md-list-box" color="primary-text-color"></ion-icon>
            DETALHES
          </p>
        </div>
    </ion-card>
  </ion-list>
  
  <!-- END CODE - Banco do Brasil-->

  <!-- <ion-grid>
    <ion-row>
      <ion-col col-6 class="month">OUTUBRO</ion-col>
    </ion-row>
  </ion-grid>
  <user-component-purchase-item *ngFor="let purchase of purchases"
                        [purchaseName]="purchase.purchaseName"
                        [cosumerName]="purchase.cosumerName"
                        [payment]="purchase.payment"
                        [status]="purchase.status"
                        [price]="purchase.price"
                        [taxService]="purchase.taxService"
                        [raceCategory]="purchase.raceCategory"
                        [inscriptionLevel]="purchase.inscriptionLevel"
                        [purchase]="purchase">
  </user-component-purchase-item> -->
</ion-content>
